Loading...
Searching...
No Matches
pdftron::PDF::CMSSignatureOptions Class Reference

`#include <CMSSignatureOptions.h>`

## Public Member Functions
| CMSSignatureOptions ()
| CMSSignatureOptions (const CMSSignatureOptions &other)
CMSSignatureOptions & | operator= (const CMSSignatureOptions &other)
| ~CMSSignatureOptions ()
void | AddTimestampToken (const std::vector< UChar > &token_buf)
void | AddTimestampToken (const UChar *token_buf, const size_t token_buf_size)
| CMSSignatureOptions (TRN_CMSSignatureOptions impl)

## Public Attributes
TRN_CMSSignatureOptions | m_impl

## Protected Member Functions
void | Destroy ()

## Protected Attributes
bool | m_owner

## Detailed Description

Optional data for CMS creation.

Definition at line 19 of file CMSSignatureOptions.h.

## Constructor & Destructor Documentation

## ◆ CMSSignatureOptions() [1/3]

pdftron::PDF::CMSSignatureOptions::CMSSignatureOptions | ( |  | ) |

## ◆ CMSSignatureOptions() [2/3]

pdftron::PDF::CMSSignatureOptions::CMSSignatureOptions | ( | const CMSSignatureOptions & | other | ) |

## ◆ ~CMSSignatureOptions()

pdftron::PDF::CMSSignatureOptions::~CMSSignatureOptions | ( |  | ) |

## ◆ CMSSignatureOptions() [3/3]

pdftron::PDF::CMSSignatureOptions::CMSSignatureOptions | ( | TRN_CMSSignatureOptions | impl | ) |

## Member Function Documentation

## ◆ AddTimestampToken() [1/2]

void pdftron::PDF::CMSSignatureOptions::AddTimestampToken | ( | const std::vector< UChar > & | token_buf | ) |

Add a timestamp token to the CMS.

Parameters

  token_buf | The timestamp token.

## ◆ AddTimestampToken() [2/2]

void pdftron::PDF::CMSSignatureOptions::AddTimestampToken | ( | const UChar * | token_buf,
|  | const size_t | token_buf_size )

Add a timestamp token to the CMS.

Parameters

  token_buf | The timestamp token.
  token_buf_size | The size of the timestamp token buffer.

## ◆ Destroy()

void pdftron::PDF::CMSSignatureOptions::Destroy | ( |  | ) |
| protected

## ◆ operator=()

CMSSignatureOptions & pdftron::PDF::CMSSignatureOptions::operator= | ( | const CMSSignatureOptions & | other | ) |

## Member Data Documentation

## ◆ m_impl

TRN_CMSSignatureOptions pdftron::PDF::CMSSignatureOptions::m_impl

Definition at line 46 of file CMSSignatureOptions.h.

## ◆ m_owner

bool pdftron::PDF::CMSSignatureOptions::m_owner
| mutable protected

Definition at line 54 of file CMSSignatureOptions.h.

The documentation for this class was generated from the following file:

- PDF/CMSSignatureOptions.h